## psi4 1.3.2

=== CMakeLists.txt ===
#############################  Superbuild Project  #############################
cmake_minimum_required(VERSION 3.8 FATAL_ERROR) # 3.8: CXX_STANDARD recognizes C++17
                                              # 3.3: EP_add(DEPENDS interfacelib, CheckFortranCompilerFlag
                                              # 3.2: continue()
                                              # 3.1: CMAKE_CXX_STANDARD, BUILD_ALWAYS
project(psi4
        LANGUAGES C CXX)
set(psi4_URL "http://www.psicode.org/")
set(psi4_EMAIL "psi4aiqc+cmake@gmail.com")
set(psi4_LICENSE "GNU Lesser General Public License, version 3 (LGPL-3.0)")
set(psi4_DESCRIPTION "Open-Source Quantum Chemistry")

list(APPEND CMAKE_MODULE_PATH ${CMAKE_CURRENT_SOURCE_DIR}/cmake)

################  Options: Overview and Not Otherwise Mentioned  ###############

#  <<<  CMake build overview  >>>
#
#    >>> ls
#    external/  COPYING  psi4/  tests/  ...
#    >>> cmake -H. -Bobjdir -DCMAKE_INSTALL_PREFIX=/path/to/install-psi4 ...
#    ...
#    -- Generating done
#    -- Build files have been written to: /current/dir/objdir
#    >>> cd objdir && make -j`getconf _NPROCESSORS_ONLN`
#    >>> make install

#  <<<  Required build dependencies that Psi4 can't build itself  >>>
#
#    - CMake (e.g., `conda install cmake`)
#    - C++ and C compilers (C++11 compliant)
#    - BLAS/LAPACK (also runtime; e.g., `conda install mkl-devel`)
#    - Python (also runtime; interpreter and headers; e.g., `conda install python`)
#    - NumPy (also runtime; avoidable at buildtime if gau2grid pre-built; e.g., `conda install numpy`)
#    - deepdiff (runtime only; e.g., `conda install deepdiff -c conda-forge`)
#    - networkx (runtime only; e.g., `conda install networkx`)
#    - pint (runtime only; e.g., `conda install pint -c conda-forge`)

#  These three "###  Options  ###" sections contain useful CMake variables for build configuration.

#  <<<  Compilers and flags  >>>
#
#    - CMAKE_C_COMPILER "C compiler"
#    - CMAKE_C_FLAGS "Additional C flags"
#    - CMAKE_CXX_COMPILER "C++ compiler"
#    - CMAKE_CXX_FLAGS "Additional C++ flags"
#    - CMAKE_Fortran_COMPILER "Fortran compiler (required for some add-ons)"
#    - CMAKE_Fortran_FLAGS "Additional Fortran flags"

#  <<<  Detecting dependencies and add-ons  >>>
#
#    - PYTHON_EXECUTABLE "Python interpreter to use (e.g., /path/to/bin/python2.7)"
#    - PYTHON_LIBRARY "Python library that goes with the interpreter (e.g., /path/to/lib/python2.7.so)"
#    - PYTHON_INCLUDE_DIR "Path to the python include files (e.g., /path/to/include/python2.7)"
#    - SPHINX_ROOT "Root directory for Sphinx: 'bin/sphinx-build' (or similar) should be in this dir."
#
#    For any ${AddOn} of: ambit, CheMPS2, dkh, libefp, erd, gau2grid, gdma, Libint, PCMSolver, pybind11, pylibefp,
#                         qcelemental, simint, Libxc
#    - CMAKE_PREFIX_PATH "Set to list of root directories to look for externally built add-ons and dependencies
#      (e.g., /path/to/install-libint;/path/to/install-gdma where exists /path/to/install-libint/lib/libderiv.a)"
#    - ${AddOn}_DIR "Set to directory containing ${AddOn}Config.cmake file to facilitate detection of external build"
#    - CMAKE_DISABLE_FIND_PACKAGE_${AddON} "Set to OFF to force internal build"
#    - CMAKE_INSIST_FIND_PACKAGE_${AddON} "Set to ON to force external detect"

#  <<<  Detecting BLAS/LAPACK  >>>
#
#    - ENV(MATH_ROOT) "Root directory where BLAS/LAPACK libraries should be detected (e.g., ${MATH_ROOT}/lib/libblas.so)"
#    - BLAS_TYPE "Target BLAS distribution for math detection
#                 (default: search order MKL>OPENBLAS>ESSL>ATLAS>ACML>SYSTEM_NATIVE on Linux; MKL>Accelerate>... on Mac)"
#    - LAPACK_TYPE "Target LAPACK distribution for math detection
#                 (default: search order MKL>OPENBLAS>ESSL>ATLAS>ACML>SYSTEM_NATIVE on Linux; MKL>Accelerate>... on Mac)"
#    - LAPACK_LIBRARIES "Location of BLAS/LAPACK libraries as ";"-separated list of full paths, bypassing math detection"
#    - LAPACK_INCLUDE_DIRS "Location of BLAS/LAPACK headers (only needed for MKL), bypassing math detection"
#    - OpenMP_LIBRARY_DIRS "Location of OpenMP libraries (iomp5/gomp/omp) as ";"-separated list, hinting OpenMP detection"

#  <<<  Install  >>>
#
#    - CMAKE_INSTALL_PREFIX "Location to which Psi4 and internally built add-ons are installed (default: /usr/local/psi4)"
#    - CMAKE_INSTALL_BINDIR "Location within CMAKE_INSTALL_PREFIX to which executables are installed (default: bin)"
#    - CMAKE_INSTALL_LIBDIR "Location within CMAKE_INSTALL_PREFIX to which libraries are installed (default: lib)"
#    - CMAKE_INSTALL_DATADIR "Location within CMAKE_INSTALL_PREFIX to which resources are installed (default: share)"
#    - CMAKE_INSTALL_INCLUDEDIR "Location within CMAKE_INSTALL_PREFIX to which headers are installed (default: include)"
#    - PYMOD_INSTALL_LIBDIR "Location within CMAKE_INSTALL_LIBDIR to which python modules are installed (default: /)
#                            Must start with: / . Used to imitate python install: /python3.6/site-packages ."

############################  Options: Build What?  ############################
option(ENABLE_ambit "Enables the ambit tensor library" OFF)
option(ENABLE_CheMPS2 "Enables CheMPS2 for DMRG (requires HDF5)" OFF)
option(ENABLE_dkh "Enables DKH integrals (requires Fortran)" OFF)
option(ENABLE_libefp "Enables LIBEFP and PylibEFP for fragments" OFF)
option(ENABLE_erd "Enables use of ERD instead of Libint (requires Fortran)" OFF)
option(ENABLE_simint "Enables use of SIMINT two-electron integral library" OFF)
option(ENABLE_gdma "Enables Stone's GDMA multipole code (requires Fortran)" OFF)
option(ENABLE_PCMSolver "Enables PCMSolver library (requires Fortran)" OFF)
option(ENABLE_snsmp2 "Enables SNSMP2 plugin (can also be added at runtime)" OFF)
option(ENABLE_v2rdm_casscf "Enables V2RDM_CASSCF plugin (requires Fortran; can also be added at runtime)" OFF)
option(ENABLE_gpu_dfcc "Enables GPU_DFCC plugin for gpu-accelerated df-cc (requires CUDA; can also be added at runtime)" OFF)
# These options are relevant to pasture, expert only
option(ENABLE_ccsort "Enables ccsort plugin installed from psi4pasture" OFF)
option(ENABLE_transqt2 "Enables transqt2 plugin installed from psi4pasture" OFF)

# Append modules added to pasture as needed
if(ENABLE_ccsort OR ENABLE_transqt2)
  set(ENABLE_pasture ON)
  message(STATUS "Enabling pasture plugins")
endif()

if(ENABLE_gdma OR ENABLE_dkh OR ENABLE_erd OR ENABLE_PCMSolver)
    enable_language(Fortran)
    set(Fortran_ENABLED ON)  # communicate required languages with psi4-core
    message(STATUS "Enabling Fortran")
endif()

if(ENABLE_erd)
    message(FATAL_ERROR "The Psi4/ERD interface is broken, probably since spring 2017. We'll try to fix it (comment this line to try), but disabling for now.")
    message(WARNING "ERD will build, link, and run in Psi4 just fine. However, it has not been hooked into Psi4 in all roles, notably gradients, LRC DFT energies, and ESP. So upon activating through ``set integral_package erd``, known failures will be caught and halted, but perhaps other types not tested and identified will give *wrong* answers. Consider this your warning.")
endif()

############################  Options: Build How?  #############################
include(psi4OptionsTools)
option_with_print(BUILD_SHARED_LIBS "Build internally built Psi4 add-on libraries as shared, not static" OFF)
option_with_print(ENABLE_OPENMP "Enables OpenMP parallelization" ON)
option_with_print(ENABLE_AUTO_BLAS "Enables CMake to auto-detect BLAS" ON)
option_with_print(ENABLE_AUTO_LAPACK "Enables CMake to auto-detect LAPACK" ON)
option_with_print(ENABLE_PLUGIN_TESTING "Test the plugin templates build and run" OFF)
option_with_flags(ENABLE_XHOST "Enables processor-specific optimization (with MSVC, it enables AVX2 instructions)" ON
                  "-xHost" "-march=native" "/arch:AVX2")
option_with_flags(ENABLE_CODE_COVERAGE "Enables details on code coverage" OFF
                  "-ftest-coverage")
option_with_flags(ENABLE_BOUNDS_CHECK "Enables bounds check in Fortran" OFF
                  "-ftrapuv -check all -fpstkchk" "-fcheck=all" "-fbounds-check -fcheck-array-temporaries")
option_with_flags(ENABLE_ASAN "Enables address sanitizer (requires similarly compiled Python and Numpy)" OFF
                  "-fsanitize=address -fno-omit-frame-pointer")
option_with_flags(ENABLE_TSAN "Enables thread sanitizer (requires similarly compiled Python and Numpy)" OFF
                  "-fsanitize=thread -fPIE -pie -fno-omit-frame-pointer")
option_with_flags(ENABLE_UBSAN "Enables undefined behavior sanitizer (requires similarly compiled Python and Numpy)" OFF
                  "-fsanitize=undefined -fno-omit-frame-pointer")
option_with_flags(ENABLE_MSAN "Enables memory sanitizer (requires similarly compiled Python and Numpy)" OFF
                  "-fsanitize=memory -fPIE -pie -fno-omit-frame-pointer")
option_with_default(MAX_AM_ERI "Maximum angular momentum for integrals" 5)
option_with_default(CMAKE_BUILD_TYPE "Build type (Release or Debug)" Release)
option_with_default(FC_SYMBOL "The type of Fortran name mangling" 2)
option_with_default(BUILD_FPIC "Compile static libraries with position independent code" ON)
option_with_default(CMAKE_INSTALL_LIBDIR "Directory to which libraries installed" lib)
option_with_default(PYMOD_INSTALL_LIBDIR "Location within CMAKE_INSTALL_LIBDIR to which python modules are installed" /)
option_with_default(ENABLE_GENERIC "Enables mostly static linking of language libraries for shared library" OFF)
option_with_default(CMAKE_INSTALL_MESSAGE "Specify verbosity of installation messages" LAZY)
option_with_default(psi4_CXX_STANDARD "Specify C++ standard for core Psi4" 14)
option_with_default(SIMINT_VECTOR "Vectorization type to use for simint (scalar sse avx avxfma micavx512)" avx)
option_with_default(SPHINX_THEME "Theme for Sphinx documentation and extensions" sphinx_psi_theme)

########################  Process & Validate Options  ##########################
include(GNUInstallDirs)
include(autocmake_safeguards)
include(custom_color_messages)

if(CMAKE_INSTALL_PREFIX_INITIALIZED_TO_DEFAULT)
    set(CMAKE_INSTALL_PREFIX "/usr/local/psi4" CACHE PATH "Install path" FORCE)
endif()
message(STATUS "Psi4 install: ${CMAKE_INSTALL_PREFIX}")

# Python use in psi4 (not incl. external/)
# * interpreter: run the versioner in psi4-core. run tests and build docs in psi4
# * headers: Python.h for pybind11 to build against in psi4-core
# * library: not at all

set(Python_ADDITIONAL_VERSIONS 3.7 3.6 3.5)  # adjust with CMake minimum FindPythonInterp
find_package(PythonLibsNew 3.5 REQUIRED)
message(STATUS "${Cyan}Found Python ${PYTHON_VERSION_MAJOR}.${PYTHON_VERSION_MINOR}${ColourReset}: ${PYTHON_EXECUTABLE} (found version ${PYTHON_VERSION_STRING})")

set(STAGED_INSTALL_PREFIX ${CMAKE_BINARY_DIR}/stage)
message(STATUS "Psi4 staging: ${STAGED_INSTALL_PREFIX}")
add_subdirectory(external/common)
add_subdirectory(external/upstream)

# external projects manage their own OpenMP and c++YY flags, so only add to CXX_FLAGS for psi4-core
include(custom_cxxstandard)
include(custom_static_library)

################################  Main Project  ################################
include(ExternalProject)
ExternalProject_Add(psi4-core
   DEPENDS lapack_external
           hdf5_external
           ambit_external
           chemps2_external
           dkh_external
           libefp_external
           erd_external
           gau2grid_external
           gdma_external
           libint_external
           pcmsolver_external
           pybind11_external
           pylibefp_external
           qcelemental_external
           simint_external
           libxc_external
   SOURCE_DIR ${CMAKE_CURRENT_SOURCE_DIR}/psi4
   CMAKE_ARGS -DCMAKE_INSTALL_PREFIX=${STAGED_INSTALL_PREFIX}
              -DCMAKE_BUILD_TYPE=${CMAKE_BUILD_TYPE}
              -DCMAKE_CXX_COMPILER=${CMAKE_CXX_COMPILER}

=== tests/ao-casscf-sp/CMakeLists.txt ===
include(TestingMacros)

add_regression_test(ao-casscf-sp "psi;quicktests;casscf")

=== tests/castup1/CMakeLists.txt ===
include(TestingMacros)

add_regression_test(castup1 "psi;quicktests;scf")

=== tests/cc-module/CMakeLists.txt ===
include(TestingMacros)

add_regression_test(cc-module "psi;quicktests;cc")

=== tests/cc13/CMakeLists.txt ===
include(TestingMacros)

add_regression_test(cc13 "psi;cc")

=== tests/cc13c/CMakeLists.txt ===
include(TestingMacros)

add_regression_test(cc13c "psi;cc;cart")

=== tests/cc14/CMakeLists.txt ===
include(TestingMacros)

add_regression_test(cc14 "psi;cc")

=== tests/cc15/CMakeLists.txt ===
include(TestingMacros)

add_regression_test(cc15 "psi;quicktests;cc")

=== tests/cc16/CMakeLists.txt ===
include(TestingMacros)

add_regression_test(cc16 "psi;cc")

=== tests/cc17/CMakeLists.txt ===
include(TestingMacros)

add_regression_test(cc17 "psi;quicktests;cc")

=== tests/cc22/CMakeLists.txt ===
include(TestingMacros)

add_regression_test(cc22 "psi;cc")

=== tests/cc47/CMakeLists.txt ===
include(TestingMacros)

add_regression_test(cc47 "psi;cc;autotest")

=== debian/changelog ===
psi4 (1:1.3.2-3build2) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 23 Mar 2020 19:17:05 +0100

psi4 (1:1.3.2-3build1) focal; urgency=medium

  * No-change rebuild to build with python3.8.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 25 Jan 2020 05:43:43 +0000

psi4 (1:1.3.2-3) unstable; urgency=medium

  * debian/control (psi4/Depends): Add python3-qcelemental (Closes: #949291).

 -- Michael Banck <mbanck@debian.org>  Sun, 19 Jan 2020 21:38:29 +0100

psi4 (1:1.3.2-2) unstable; urgency=medium

  * debian/TODO: Removed.
  * debian/tests/testsuite.sh: Print last 100 lines of logfile in case of
    failures.
  * debian/control (Build-Depends): Rebuilt against libgg2 (Closes: #942242).
  * debian/patches/gau2grid_2_support.patch: New patch, adds support for
    gau2grid 2.0, taken from upstream commits b42769d7, d023b9d3 and 643a4661.

 -- Michael Banck <mbanck@debian.org>  Wed, 01 Jan 2020 13:51:25 +0100

psi4 (1:1.3.2-1) unstable; urgency=medium

  * New upstream release. New features include:
   + In-memory DFT collocation grids lowering the total cost of DFT by up to a
     factor of two
   + RHF analytic dipole derivatives
  * debian/patches/runtests_python3.patch: Refreshed.
  * debian/patches/verbose_makefile.patch: Updated.
  * debian/patches/relax_external_cmake_requirements.patch: Likewise.
  * debian/patches/libxc_external.patch: Likewise.
  * debian/patches/libderiv_include_location.patch: Removed, no longer needed.
  * debian/patches/dfhelper_crash_fix.patch: Likewise.
  * debian/patches/testsuite_32bit_memory.patch: Likewise.
  * debian/control (Build-Depends): Add versioned dependency to libxc-dev
    (4.2.3-1). 
  * debian/control (Build-Depends): Added python3-qcelemental.
  * debian/compat: Bumped to 10.
  * debian/patches/libint_external.patch: New patch, allows building with
    external Libint.
  * debian/TODO: Removed.

 -- Michael Banck <mbanck@debian.org>  Sun, 21 Jul 2019 09:54:10 -0300

=== debian/control ===
Source: psi4
Section: science
Priority: optional
Maintainer: Debichem Team <debichem-devel@lists.alioth.debian.org>
Uploaders: Michael Banck <mbanck@debian.org>,
           Graham Inggs <ginggs@debian.org>
Build-Depends: chemps2,
               cmake,
               debhelper (>> 8),
               dh-python,
               dvipng,
               gfortran,
               libblas-dev,
               libchemps2-dev (>= 1.8.5-1),
               libgg-dev (>= 2.0.4-1),
               libhdf5-dev,
               libint-dev (>= 1.2.0-1),
               liblapack-dev,
               libxc-dev (>= 4.2.3-1),
               python3-qcelemental,
               python3-deepdiff,
               python3-dev,
               python3-numpy,
               python3-networkx,
               python3-pybind11,
               python3-pytest,
               python3-sphinx,
               texlive-latex-extra
Standards-Version: 4.3.0
Homepage: http://www.psicode.org/
Vcs-Browser: https://salsa.debian.org/debichem-team/psi4
Vcs-Git: https://salsa.debian.org/debichem-team/psi4.git

Package: psi4
Architecture: any
Depends: psi4-data (= ${source:Version}), ${misc:Depends}, ${shlibs:Depends}, ${python3:Depends},
         python3-deepdiff, python3-numpy, python3-networkx, python3-pybind11, python3-qcelemental
Description: Quantum Chemical Program Suite
 PSI4 is an ab-initio quantum chemistry program.  It is especially designed to
 accurately compute properties of small to medium molecules using highly
 correlated techniques. PSI4 is the parallelized successor of PSI3 and includes
 many state-of-the-art theoretical methods.
 .
 It can compute energies, gradients and hessians for the following methods:
  * Restricted Hartree-Fock (RHF)
 .
 It can compute energies and gradients for the following methods:
  * Restricted, unrestricted and general restricted open shell Hartree-Fock
    (RHF/ROHF)
  * Restricted, unrestricted and general restricted open shell
    Densitry-Functional Theory, including density-fitting (DF-DFT)
  * Density Cumulant Functional Theory (DCFT)
  * Density-fitted Moeller-Plesset perturbation theory (DF-MP2)
  * Density-fitted Orbital-Optimized MP2 theory (DF-OMP2)
  * (Orbital-Optimized) MP3 theory (OMP3/MP3)
  * Coupled-cluster singles doubles (CCSD)
  * Density-fitted coupled-cluster singles doubles (DF-CCSD) and with
    perturbative triples (DF-CCSD(T))
  * Second-order approximate coupled-cluster singles doubles (CC2)
  * Equation-of-motion coupled-cluster singles doubles (EOM-CCSD)
 .
 Additionally, it can compute energies for the following methods:
  * Spin-component scaled MP2 theory (SCS-MP2)
  * Fourth order Moeller-Plesset perturbation theory (MP4)
  * Density-fitted symmetry-adapted perturbation theory (DF-SAPT)
  * Density-fitted complete active space SCF (DF-CASSCF)
  * Configuration-interaction singles doubles (CISD)
  * Full configuration-interaction (FCI)
  * Closed-shell Density-fitted coupled-cluster singles doubles (DF-CCSD)
  * Closed-shell Density-fitted Coupled-cluster singles doubles with
    perturbative triples (DF-CCSD(T))
  * Second/third-order approximate coupled-cluster singles doubles (CC2/CC3)
  * Mukherjee Multireference coupled-cluster singles doubles theory (mk-MRCCSD)
  * Mukherjee Multireference coupled-cluster singles doubles with perturbative
    triples theory (mk-MRCCSD(T))
  * Second order algebraic-diagrammatic construction theory (ADC(2))
  * Quadratic configuration interaction singles doubles (QCISD)
  * Quadratic configuration interaction singles doubles with perturbative
    triples (QCISD(T))
  * Density Matrix Renormalization Group SCF (DMRG-SCF), CASPT2 (DMRG-CASPT2)
    and CI (DMRG-CI)
 .
 Further features include:
  * Flexible, modular and customizable input format via python
  * Excited state calculations with the EOM-CC2/CC3, EOM-CCSD, ADC(2), MRCI and
    mk-MRCC methods
  * Utilization of molecular point-group symmetry to increase efficiency
  * Internal coordinate geometry optimizer
  * Harmonic frequencies calculations (via finite differences)
  * Potential surface scans 
  * Counterpoise correction
  * One-electron properties like dipole/quadrupole moments, transition dipole
    moments, natural orbitals occupations or electrostatic potential
  * Composite methods like complete basis set extrapolation or G2/G3
  * Scalar-relativistic corrections via two-component approach (X2C)

Package: psi4-data
Architecture: all
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Quantum Chemical Program Suite (data files)
 PSI4 is an ab-initio quantum chemistry program.  It is especially designed to
 accurately compute properties of small to medium molecules using highly
 correlated techniques. PSI4 is the parallelized successor of PSI3 and includes
 many state-of-the-art theoretical methods.
 .
 This package contains data files and the HTML documentation.

=== debian/tests/control ===
Depends: @
Tests: testsuite.sh
Restrictions: allow-stderr

## psi4 1.3.2%2Bdfsg

=== doc/doxygen/CMakeLists.txt ===
find_package(Doxygen QUIET)
if(NOT DOXYGEN_FOUND)
   message(STATUS "No Doxygen, no docs.")
else()
    message(STATUS "Documentation targets available: doxyman (html)")

    # Configuration of the Doxygen configuration file
    set(HAVE_QHELP "NO")
    set(QHELP_GENERATOR "")
    set(HAVE_DOT "NO")
    set(DOT_PATH "")
    configure_file(doxygen.cfg.in doxygen.cfg @ONLY)

    add_custom_target(doxyman
                      VERBATIM
                      COMMAND ${DOXYGEN_EXECUTABLE} ${CMAKE_CURRENT_BINARY_DIR}/doxygen.cfg
                      COMMENT "Build Doxygen html documentation ...")
endif()

=== tests/cc3/CMakeLists.txt ===
include(TestingMacros)

add_regression_test(cc3 "psi;cc")

=== tests/cc31/CMakeLists.txt ===
include(TestingMacros)

add_regression_test(cc31 "psi;cc;autotest;cart")

=== tests/cc44/CMakeLists.txt ===
include(TestingMacros)

add_regression_test(cc44 "psi;cc")

=== tests/cc6/CMakeLists.txt ===
include(TestingMacros)

add_regression_test(cc6 "psi;cc;cart")

=== tests/ci-property/CMakeLists.txt ===
include(TestingMacros)
file(COPY grid.dat DESTINATION ${CMAKE_CURRENT_BINARY_DIR})
add_regression_test(ci-property "psi;quicktests;ci;cas;properties;cart")

=== tests/cisd-opt-fd/CMakeLists.txt ===
include(TestingMacros)

add_regression_test(cisd-opt-fd "psi;cisd")

=== tests/cubeprop-esp/CMakeLists.txt ===
include(TestingMacros)
file(COPY ESP.cube.ref DESTINATION ${CMAKE_CURRENT_BINARY_DIR})
file(COPY Dt.cube.ref DESTINATION ${CMAKE_CURRENT_BINARY_DIR})
add_regression_test(cubeprop-esp "psi;quicktests;cubeprop")

=== tests/dfcasscf-fzc-sp/CMakeLists.txt ===
include(TestingMacros)

add_regression_test(dfcasscf-fzc-sp "psi;quicktests;casscf")

=== tests/dfccdl1/CMakeLists.txt ===
include(TestingMacros)

add_regression_test(dfccdl1 "psi;df;dfccdl")

=== tests/dfmp2-1/CMakeLists.txt ===
include(TestingMacros)

add_regression_test(dfmp2-1 "psi;quicktests;smoketests;df;dfmp2;cart")

=== tests/dfmp2-fc/CMakeLists.txt ===
include(TestingMacros)

add_regression_test(dfmp2-fc "quicktests;df;dfmp2")
